*{
    margin :0;
    padding :0;
    box-sizing: border-box;
}

#wrapper{
    height: 100vh;
    overflow-y: auto;
    overflow-x: hidden;
    perspective: 10px;
}

#container{
    position: relative;
    height: 100%;
    display: flex;
    margin-left: -10px;
    justify-content: center;
    align-items: center;
    transform-style: preserve-3d;
    z-index: -1;
}


.background{
    position: absolute;
    height: 100%;
    width: 100%;
    object-fit: cover;
    z-index: -1;
    transform: translateZ(-40px) scale(5);
}

.foreground{
    position: absolute;
    height: 100%;
    width: 100%;
    object-fit: cover;
    z-index: -1;
    transform: translateZ(-20px) scale(3);
}

p{
    font-family: system-ui;
}

h1{
    position: absolute;
    top: 5rem;
    left: 23%;
    transform: translateX(-50px);
    font-size: 9rem;
    letter-spacing: 4px;
    color: white;
    text-shadow: 0 0 10px rgba(0,0,0,0.3);
    font-family: system-ui;
}

section{
    background-color: rgb(45,45,45);
    color: white;
    padding: 5rem 0;
}
 
.secHeading{
    font-size: 5rem;
    padding: 0 10rem;
    font-family: system-ui;
}

.desc{
    position: absolute;
    background-color: white;
    padding: 0.5rem 2.5rem;
    top: 50%;
    left: 50%;
    color:black;
    transform: translateX(-50%) translateY(-50%);
    font-size: 3.5rem;
    font-weight: 600;
    font-family: system-ui;
}

.text{
    font-size:1.5rem;
    padding: 0 10rem;
    margin: 5rem 0;
}

.bg{
    position:relative;
    width: 100%;
    background-attachment: fixed;
    background-size: fit;
    background-position: center;
    height: 500px;
}

.bg1{
    background-image: url(bg1.jpg); 
}

.bg2{
    background-image: url(bg2.jpg);
}

.bg3{
    background-image: url(bg3.jpg);
}  